ClimProDiag is an R package for evaluation of Global Climate Models

**Why should I use it?**

This is a set of tools to compute metrics and global indices for Climate Projections analysis. Furthermore, Multi-model time series of climate indices can be computed either after averaging the fields from different models on a common grid or by combining time series computed on each model individually.Furthermore, different combinations of indices can be computed from subsets of models (including options to base these subsets on weights and seasons). The package can be helpful in climate sciences for other purposes than projections analysis.

**How do I use it?**

The main functionalities are presented in four different vignettes with step by step examples:

- [Multi-model agreement](https://earth.bsc.es/gitlab/es/ClimProjDiag/blob/master/vignettes/multimodel/anomaly_agreement.md): which performs the percentage of the anomaly agreement between the models (synthetic data).
- [Risk Indices](https://earth.bsc.es/gitlab/es/ClimProjDiag/blob/master/vignettes/risk/risk_index.md): which perform different metrics based on Expert Team on Climate Change Detection Indices (ETCCDI) and a combination of them being possible weight expecifications.
- [Heat and Cold Wave Duration](https://earth.bsc.es/gitlab/es/ClimProjDiag/blob/master/vignettes/wave/heatcoldwaves.md): which perform the spells duration allowing to define the threshold to be reach and the minimum length spells.
- [Diurnal temperature variation indicator](https://earth.bsc.es/gitlab/es/ClimProjDiag/blob/master/vignettes/DTR/diurnaltemp.md): which allows to compare the future projection diurnal temperature variation with a reference by considering the vulnerability threshold.

**How do I get it?**

To install and load the package you must run the next lines in your R session:

```r
install.packages("ClimProjDiag")
library(ClimProjDiag)
```